unit preview;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  QRPrntr, ExtCtrls, StdCtrls, Spin, QRExport;

type
  TFormpreview = class(TForm)
    Panel1: TPanel;
    QRPreview1: TQRPreview;
    Label1: TLabel;
    SpinEdit1: TSpinEdit;
    Label2: TLabel;
    Label3: TLabel;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    Button8: TButton;
    SaveDialog1: TSaveDialog;
    QRCSVFilter1: TQRCSVFilter;
    QRTextFilter1: TQRTextFilter;
    QRHTMLFilter1: TQRHTMLFilter;
    procedure QRPreview1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Button8Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure sh;
    procedure QRPreview1PageAvailable(Sender: TObject; PageNum: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Formpreview: TFormpreview;
  procedure crpreview(sender:tobject);

implementation



{$R *.DFM}
procedure crpreview(sender:tobject);
begin
   with TFormpreview.Create(application) do
   begin
      QRPreview1.QRPrinter:=TQRPrinter(Sender);
      sh;
      show;
   end;
end;

procedure TFormpreview.sh;
begin
   SpinEdit1.Value:=1;
end;

procedure TFormpreview.QRPreview1MouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
   if Button=mbLeft then
      QRPreview1.Zoom:=QRPreview1.Zoom+5
   else
      if Button=mbRight then
         if QRPreview1.Zoom>50 then
            QRPreview1.Zoom:=QRPreview1.Zoom-5;
end;

procedure TFormpreview.Button8Click(Sender: TObject);
begin
   QRPreview1.ZoomToWidth;
end;

procedure TFormpreview.Button1Click(Sender: TObject);
begin
   SpinEdit1.Value:=1;
end;

procedure TFormpreview.Button2Click(Sender: TObject);
begin
   if QRPreview1.PageNumber>1 then
      SpinEdit1.value:=SpinEdit1.value-1;
end;

procedure TFormpreview.Button3Click(Sender: TObject);
begin
   if QRPreview1.QRPrinter.PageCount>QRPreview1.PageNumber then
      SpinEdit1.value:=SpinEdit1.value+1;
end;

procedure TFormpreview.Button4Click(Sender: TObject);
begin
   SpinEdit1.value:=QRPreview1.QRPrinter.PageCount;
end;

procedure TFormpreview.Button5Click(Sender: TObject);
var s:string;
begin
   s:=getcurrentdir;
   If SaveDialog1.Execute then
   begin
      if ExtractFileExt(SaveDialog1.FileName)='.csv' then
         QRPreview1.QRPrinter.ExportToFilter(TQRCommaSeparatedFilter.Create(SaveDialog1.FileName))
      else
         if ExtractFileExt(SaveDialog1.FileName)='.htm' then
            QRPreview1.QRPrinter.ExportToFilter(TQRHTMLDocumentFilter.Create(SaveDialog1.FileName))
         else
            qrpreview1.QRPrinter.Save(SaveDialog1.FileName);
   end;
   setcurrentdir(s);
{   HTML: TQRHTMLDocumentFilter
    ASCII: TQRAsciiExportFilter
    CSV: TQRCommaSeparatedFilter}
end;

procedure TFormpreview.Button7Click(Sender: TObject);
begin
   QRPreview1.QRPrinter.PrintSetup;
end;

procedure TFormpreview.Button6Click(Sender: TObject);
begin
   QRPreview1.QRPrinter.print;
end;

procedure TFormpreview.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
   action:=cafree;
end;

procedure TFormpreview.QRPreview1PageAvailable(Sender: TObject;
  PageNum: Integer);
begin
   Label3.Caption:='@'+IntToStr(QRPreview1.QRPrinter.PageCount)+'';
   SpinEdit1.MaxValue:=QRPreview1.QRPrinter.PageCount;
end;

end.
